org.bdgenomics.adam.sql

# Genotype

###
Related Docs: object Genotype | package sql

#### class Genotype extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Genotype
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Genotype(variant: Option[Variant], contigName: Option[String], start: Option[Long], end: Option[Long], variantCallingAnnotations: Option[VariantCallingAnnotations], sampleId: Option[String], sampleDescription: Option[String], processingDescription: Option[String], alleles: Seq[String], expectedAlleleDosage: Option[Float], referenceReadDepth: Option[Int], alternateReadDepth: Option[Int], readDepth: Option[Int], minReadDepth: Option[Int], genotypeQuality: Option[Int], genotypeLikelihoods: Seq[Double], nonReferenceLikelihoods: Seq[Double], strandBiasComponents: Seq[Int], splitFromMultiAllelic: Option[Boolean], phased: Option[Boolean], phaseSetId: Option[Int], phaseQuality: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alleles: Seq[String]

5. #### val alternateReadDepth: Option[Int]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Genotype → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val contigName: Option[String]

10. #### val end: Option[Long]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val expectedAlleleDosage: Option[Float]

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### val genotypeLikelihoods: Seq[Double]

16. #### val genotypeQuality: Option[Int]

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### val minReadDepth: Option[Int]

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### val nonReferenceLikelihoods: Seq[Double]

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val phaseQuality: Option[Int]

26. #### val phaseSetId: Option[Int]

27. #### val phased: Option[Boolean]

28. #### val processingDescription: Option[String]

29. #### def productArity: Int

    Definition Classes
      Genotype → Product

30. #### def productElement(i: Int): Any

    Definition Classes
      Genotype → Product

31. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

32. #### def productPrefix: String

    Definition Classes
      Product

33. #### val readDepth: Option[Int]

34. #### val referenceReadDepth: Option[Int]

35. #### val sampleDescription: Option[String]

36. #### val sampleId: Option[String]

37. #### val splitFromMultiAllelic: Option[Boolean]

38. #### val start: Option[Long]

39. #### val strandBiasComponents: Seq[Int]

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toAvro: formats.avro.Genotype

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### val variant: Option[Variant]

44. #### val variantCallingAnnotations: Option[VariantCallingAnnotations]

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped